## mistral-tempest-plugin 1.0.0

=== debian/changelog ===
mistral-tempest-plugin (1.0.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #961523).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 May 2020 18:15:47 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/mistral-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## mistral-tempest-plugin 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
mock>=2.0.0 # BSD
tempest>=17.1.0 # Apache-2.0
testtools>=2.2.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0

=== debian/changelog ===
mistral-tempest-plugin (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Fixed debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:46:03 +0200

mistral-tempest-plugin (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 15:15:31 +0200

=== debian/control ===
Source: mistral-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/mistral-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/mistral-tempest-plugin.git
Homepage: https://opendev.org/openstack/mistral-tempest-plugin

Package: mistral-tempest-plugin
Architecture: all
Depends:
 python3-keystoneclient,
 python3-mock,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-paramiko,
 python3-pbr,
 python3-testtools,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Mistral plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Mistral plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/mistral-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## mistral-tempest-plugin 1.3.0

=== debian/changelog ===
mistral-tempest-plugin (1.3.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1047182).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 10:41:24 +0200

mistral-tempest-plugin (1.3.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:00:10 +0200

mistral-tempest-plugin (1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:39:16 +0200

mistral-tempest-plugin (1.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Sep 2021 13:27:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."

## mistral-tempest-plugin 1.4.0

=== debian/changelog ===
mistral-tempest-plugin (1.4.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:37:29 +0000

## mistral-tempest-plugin 2.0.0

=== debian/changelog ===
mistral-tempest-plugin (2.0.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 08:13:05 +0000

## mistral-tempest-plugin 2.1.1

=== debian/changelog ===
mistral-tempest-plugin (2.1.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 02 Oct 2025 09:59:49 +0000

## mistral-tempest-plugin 2.2.0

=== debian/changelog ===
mistral-tempest-plugin (2.2.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:33:44 +0000

## mistral-tempest-plugin 2.3.0

=== debian/changelog ===
mistral-tempest-plugin (2.3.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 12:19:09 +0000

## mistral-tempest-plugin 2.4.0

=== debian/changelog ===
mistral-tempest-plugin (2.4.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 26 Sep 2025 07:47:33 +0000

mistral-tempest-plugin (1.3.0-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090437).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:10:31 +0100

## mistral-tempest-plugin 2.6.0

=== debian/changelog ===
mistral-tempest-plugin (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-mock from depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:42:14 +0100

## mistral-tempest-plugin 2.7.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
tempest>=17.1.0 # Apache-2.0
testtools>=2.2.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
mistral-tempest-plugin (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:35:40 +0200

mistral-tempest-plugin (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:36:25 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Architecture: all
 Depends:
  python3-keystoneclient,
- python3-mock,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.log,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/mistral-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz
